> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get graph commit

> Read one graph commit by position.

**Operation ID:** `http.graph.commits.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/graph/commits/{position}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/graph/commits/{position}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/graph/commits/{position}:
    get:
      tags:
        - Graph
      summary: Get graph commit
      description: >-
        Read one graph commit by position.


        Product guidance: [Entity](/concepts/entity),
        [Relationship](/concepts/relationship).
      operationId: http.graph.commits.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: position
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_graph_commits_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_graph_commits_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            commit_position:
              type: string
              pattern: ^[1-9][0-9]{0,18}$
            receipt_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            committed_at:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            resource_effect_count:
              type: integer
              minimum: 0
              maximum: 2000
            alias_effect_count:
              type: integer
              minimum: 0
              maximum: 1000
            receipt:
              type: object
              properties:
                receipt_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                commit_position:
                  type: string
                  pattern: ^[1-9][0-9]{0,18}$
                committed_at:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                local_refs:
                  type: object
                  propertyNames:
                    type: string
                    minLength: 1
                    maxLength: 128
                    pattern: ^[A-Za-z0-9._:-]+$
                  additionalProperties:
                    type: object
                    properties:
                      resource_kind:
                        type: string
                        enum:
                          - node
                          - edge
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      revision:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                    required:
                      - resource_kind
                      - id
                      - revision
                    additionalProperties: false
                mutations:
                  type: array
                  items:
                    type: object
                    properties:
                      resource_kind:
                        type: string
                        enum:
                          - node
                          - edge
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      revision:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      operation_index:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      mutation_kind:
                        type: string
                        enum:
                          - created
                          - updated
                          - deleted
                          - restored
                      implicit:
                        type: boolean
                    required:
                      - resource_kind
                      - id
                      - revision
                      - operation_index
                      - mutation_kind
                      - implicit
                    additionalProperties: false
                aliases:
                  type: array
                  items:
                    type: object
                    properties:
                      resource_kind:
                        type: string
                        enum:
                          - node
                          - edge
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      revision:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      operation_index:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      mutation_kind:
                        type: string
                        enum:
                          - added
                          - removed
                      namespace:
                        type: string
                        minLength: 1
                        maxLength: 128
                        pattern: ^[A-Za-z][A-Za-z0-9._:-]*$
                      external_key:
                        type: string
                        minLength: 1
                        maxLength: 1024
                    required:
                      - resource_kind
                      - id
                      - revision
                      - operation_index
                      - mutation_kind
                      - namespace
                      - external_key
                    additionalProperties: false
              required:
                - receipt_id
                - commit_position
                - committed_at
                - local_refs
                - mutations
                - aliases
              additionalProperties: false
            alias_effects:
              maxItems: 1000
              type: array
              items:
                type: object
                properties:
                  effect_index:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  operation_index:
                    type: integer
                    minimum: 0
                    maximum: 999
                  resource_kind:
                    type: string
                    enum:
                      - node
                      - edge
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  revision:
                    type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  mutation_kind:
                    type: string
                    enum:
                      - added
                      - removed
                  namespace:
                    type: string
                    minLength: 1
                    maxLength: 128
                    pattern: ^[A-Za-z][A-Za-z0-9._:-]*$
                  external_key:
                    type: string
                    minLength: 1
                    maxLength: 1024
                required:
                  - effect_index
                  - operation_index
                  - resource_kind
                  - id
                  - revision
                  - mutation_kind
                  - namespace
                  - external_key
                additionalProperties: false
          required:
            - commit_position
            - receipt_id
            - committed_at
            - resource_effect_count
            - alias_effect_count
            - receipt
            - alias_effects
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.